[Solved] Fritz!Box 7520, OWrt 23.05.0-rc3: unresolved dependency

Hello,

i tried to let the online firmware selector build a customized version of the latest release candidate.

That's the relevant output from STDERR:

Updated list of available packages in /home/aparcar/asu/worker1/cache/23.05.0-rc3/ipq40xx/generic/build_dir/target-arm_cortex-a7+neon-vfpv4_musl_eabi/root-ipq40xx/../../../../../../../../../../../home/aparcar/asu/worker1/cache/23.05.0-rc3/ipq40xx/generic/dl/imagebuilder
Downloading file:packages/Packages.sig
Signature check failed.
Remove wrong Signature file.
Collected errors:
 * pkg_hash_check_unresolved: cannot find dependency libubus20220615 for ltq-vdsl-vr11-app
 * pkg_hash_fetch_best_installation_candidate: Packages for ltq-vdsl-vr11-app found, but incompatible with the architectures configured
 * opkg_install_cmd: Cannot install package ltq-vdsl-vr11-app.
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for ltq-vdsl-vr11-app:
 * 	libubus20220615
 * opkg_install_cmd: Cannot install package ltq-vdsl-vr11-app.
make[2]: *** [Makefile:189: package_install] Error 255
make[1]: *** [Makefile:154: _call_manifest] Error 2
make: *** [Makefile:274: manifest] Error 2**strong text**

When i don't modify the preselected packages list, the build is successful.

Could please someone take a look or two why this happens?
Thanks a lot.

Works now really fine with release 23.05.0-rc4.

I guess, rc3 was just too old.

This topic was automatically closed 10 days after the last reply. New replies are no longer allowed.